org.apache.mina.util

## Class Transform

- java.lang.Object
- - org.apache.mina.util.Transform

-     public class Transform
      extends Object

  Utility class for working with xml data Implementation is heavily based on org.apache.log4j.helpers.Transform
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendEscapingCDATA(StringBuffer buf, String str)` Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
    `static String` | `escapeTags(String input)` This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.
    `static String[]` | `getThrowableStrRep(Throwable throwable)` convert a Throwable into an array of Strings

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transform

          public Transform()

  - ### Method Detail

    - #### escapeTags

          public static String escapeTags(String input)

      This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.
      Parameters:
        `input` - The text to be converted.
      Returns:
        The input string with the special characters replaced.

    - #### appendEscapingCDATA

          public static void appendEscapingCDATA(StringBuffer buf,
                                 String str)

      Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
      Parameters:
        `buf` - StringBuffer holding the XML data to this point. The initial CDStart () of the CDATA section are the responsibility of the calling method.
        `str` - The String that is inserted into an existing CDATA Section within buf.

    - #### getThrowableStrRep

          public static String[] getThrowableStrRep(Throwable throwable)

      convert a Throwable into an array of Strings
      Parameters:
        `throwable` -
      Returns:
        string representation of the throwable

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.